Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libmatemixer: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 16 Mar 2015 18:26:06 +0000

---
 testing/libmatemixer/APKBUILD | 46 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/libmatemixer/APKBUILD
diff --git a/testing/libmatemixer/APKBUILD b/testing/libmatemixer/APKBUILD
new file mode 100644
index 0000000..32fd8d9
--- /dev/null
+++ b/testing/libmatemixer/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=libmatemixer
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="A mixer library for MATE desktop"
+url="http://git.mate-desktop.org/libmatemixer/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool glib-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/libmatemixer-1.9.90.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --prefix=/usr \
+                || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="f7e74412d6b45cda7e681deac597b5b8  libmatemixer-1.9.90.tar.xz"
+sha256sums="b6a64406992b6bf04311bd59ed12e06c58374c2e576651308cf78f23765bf3a5  libmatemixer-1.9.90.tar.xz"
+sha512sums="b524bf51e03ae69b2390d9a370517e54fa34b4b0b27a9558fdc3d0cc1df30f2867bf9c8f2966815baf6cfc7c6fbff27607377c9e9d49304871008af95a042b95  libmatemixer-1.9.90.tar.xz"
-- 
2.3.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 16 2015 - 18:26:06 GMT